Skip to main content
GET
/
v1
/
devices
/
pv
Get Devices Pv
curl --request GET \
  --url https://api.nox.energy/v1/devices/pv \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "model": "model_g",
      "brand": "SMA",
      "country": "BE",
      "device_id": "01a5c222-5b76-4531-b587-5deeb81a3db3",
      "user_id": "user_4",
      "steerable_status": {
        "steering_enabled": true,
        "steerable": true,
        "learning_period_ended": true,
        "general_reason": "PV connected recently, still collecting data to improve models."
      },
      "needs_reauthentication": false,
      "has_grid_export_curtailment": true,
      "has_production_curtailment": true
    },
    {
      "model": "model_b",
      "brand": "SolarEdge",
      "device_id": "01bbbaab-159a-4898-bcba-d81acdb2353c",
      "user_id": "user_5",
      "steerable_status": {
        "steering_enabled": true,
        "steerable": true,
        "learning_period_ended": true,
        "general_reason": "PV connected recently, still collecting data to improve models."
      },
      "needs_reauthentication": false,
      "has_grid_export_curtailment": true,
      "has_production_curtailment": true
    }
  ],
  "meta": {
    "energy_supplier": "Energy Supplier A",
    "next_token": "eyJkZXZpY2VfaWQiOiAiMDFiYmJhYWItMTU5YS00ODk4LWJjYmEtZDgxYWNkYjIzNTNjIiwgImVuZXJneV9zdXBwbGllciI6ICJFbmVyZ3kgU3VwcGxpZXIgQSJ9"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nox.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

limit
integer
default:1000

The maximum number of items to return per page of results.

This should be used together with the next_token parameter to paginate through results.

Read the pagination parameter documentation for more details.

Required range: 1 <= x <= 4000
next_token
string | null

The next_token is a token used to retrieve the next page of results when there are more results than can fit in a single page(=API response).

By default, the API will return a next_token of the first page if no token was given as a parameter.

If the token is null you have reached the end of the results.

This should be used together with the limit parameter to paginate through results.

To get all results of your call, you can keep calling the same API call with the previously returned next_token until it returns null.

device_id
string | null

The ID of the device to filter on. If not provided, all devices are returned.

user_id
string | null

The ID of the user to filter on. If not provided, all users are returned.

needs_reauthentication
boolean | null
default:false

If True, filter devices that need reauthentication.

learning_period_ended
boolean | null

If True, filter devices for which the learning period of gathering data has ended.

If False, filter devices for which the learning period of gathering data has not ended.

If None, do not filter based on learning period status.

Response

Successful response for devices API with PV data

data
DevicePV · object[] | null

List of devices

meta
DevicesPVMeta · object

Response metadata